TL-WN722N en Ubuntu 10.04 (SOLUCIONADO)

Imagen de martinpedros
0 puntos

Amigos:

Tengo adaptador USB de TP-Link TL-WN722N, todavía no pude hacerlo funcionar en mi Ubuntu 10.04. Probé todos los tutoriales que hacen salvar el firmware "ar9271.fw" en "/lib/firmware", luego instalar "compat-wireless-2010-xx-xx", sudo make, sudo make install, sudo unload, etc., etc., pero no tuve suerte. ¿Alguien me puede ayudar?

Muchas gracias a todos !!!!

Imagen de Cristobal_17
+1
0
-1

Pues hoy mismo lo he hecho con ubuntu lucid y me funciona
Hace un tiempo lo intente pero no tube suerte pero hoy con la ultima version de compat wireless me funciona

+1
0
-1
Imagen de martinpedros
+1
0
-1

Cristobal_17, ¿solo con instalar compat wireless? ¿podes decirme que versión de compat wireless instalaste y dar un pequeño paso a paso de como lo hiciste? Muchas gracias.

+1
0
-1

-----------------------------
Martin Pedros
webmaster@martinpedros.com.ar
http://www.martinpedros.com.ar

Ubuntu 10.04

Imagen de Cristobal_17
+1
0
-1

Fue con el firm tambien, el primero que aparece como compat-wireless-2.6.tar.bz2 en http://wireless.kernel.org/download/compat-wireless-2.6/ tiene la fecha mas actual (no se porque pero parece que cada dia suben uno nuevo o algo asi)

1-Copie el firmware a a la carpeta: "sudo cp -r /home/"usuario"/Escritorio/ar9271.fw /lib/firmware"

2-Me dirigi al directorio del compat-wireless: "cd compat-wireless-2010-07-25"

3-Introduci "sudo make" despues "sudo make install" "sudo make unload" "sudo make load ath9k_htc" y conecte el adaptador

Todo como dicen en los tutoriales antes unicamente desinstale el compat-wireless que tenia "sudo make uninstall"
Parece que hay otra manera usando el driver de windows de otro modelo anterior mediante ndiswrapper visita http://sourceforge.net/apps/mediawiki/ndiswrapper/index.php?title=TP-Lin...

Lo de compat-wireless es que se ve como cada dia se ha subido uno diferente pero sigue en la misma version 2.6 pero quizas sea indicando la version del kernel para el que es compatible

+1
0
-1
Imagen de martinpedros
+1
0
-1

Primero que nada muchas gracias por tu pronta respuesta. Sabes que sigo los pasos, pero en un momento es como que no encuentra algunos archivos ".o" que deberían estar dentro de la carpeta descomprimida, pero las busco y no están, por eso debe dar error. Te paso un detalle de lo que hice a ver si me podes ayudar:

==============================

tincho@lobo:~/Escritorio/compat$ sudo make
make -C /lib/modules/2.6.32-24-generic/build M=/home/tincho/Escritorio/compat modules
make[1]: se ingresa al directorio `/usr/src/linux-headers-2.6.32-24-generic'
LD /home/tincho/Escritorio/compat/compat/built-in.o
CC [M] /home/tincho/Escritorio/compat/compat/main.o
CC [M] /home/tincho/Escritorio/compat/compat/compat-2.6.33.o
LD [M] /home/tincho/Escritorio/compat/compat/compat.o
CC [M] /home/tincho/Escritorio/compat/compat/compat_firmware_class.o
LD /home/tincho/Escritorio/compat/drivers/bluetooth/built-in.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/hci_vhci.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/btmrvl_main.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/btmrvl_debugfs.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/hci_ldisc.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/hci_h4.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/hci_bcsp.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/hci_ll.o
LD [M] /home/tincho/Escritorio/compat/drivers/bluetooth/hci_uart.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/bcm203x.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/bpa10x.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/bfusb.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/dtl1_cs.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/bt3c_cs.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/bluecard_cs.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/btuart_cs.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/btusb.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/btsdio.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/ath3k.o
LD [M] /home/tincho/Escritorio/compat/drivers/bluetooth/btmrvl.o
CC [M] /home/tincho/Escritorio/compat/drivers/bluetooth/btmrvl_sdio.o
LD /home/tincho/Escritorio/compat/drivers/misc/eeprom/built-in.o
CC [M] /home/tincho/Escritorio/compat/drivers/misc/eeprom/eeprom_93cx6.o
LD /home/tincho/Escritorio/compat/drivers/net/built-in.o
CC [M] /home/tincho/Escritorio/compat/drivers/net/b44.o
/home/tincho/Escritorio/compat/drivers/net/b44.c:13:1: warning: "pr_fmt" redefined
In file included from include/linux/skbuff.h:17,
from include/linux/if_ether.h:124,
from include/linux/netdevice.h:29,
from /home/tincho/Escritorio/compat/include/linux/compat-2.6.29.h:5,
from /home/tincho/Escritorio/compat/include/linux/compat-2.6.h:24,
from :0:
include/linux/kernel.h:366:1: warning: this is the location of the previous definition
LD /home/tincho/Escritorio/compat/drivers/net/atl1c/built-in.o
CC [M] /home/tincho/Escritorio/compat/drivers/net/atl1c/atl1c_main.o
CC [M] /home/tincho/Escritorio/compat/drivers/net/atl1c/atl1c_hw.o
CC [M] /home/tincho/Escritorio/compat/drivers/net/atl1c/atl1c_ethtool.o
LD [M] /home/tincho/Escritorio/compat/drivers/net/atl1c/atl1c.o
LD /home/tincho/Escritorio/compat/drivers/net/atl1e/built-in.o
CC [M] /home/tincho/Escritorio/compat/drivers/net/atl1e/atl1e_main.o
n CC [M] /home/tincho/Escritorio/compat/drivers/net/atl1e/atl1e_hw.o
o me d CC [M] /home/tincho/Escritorio/compat/drivers/net/atl1e/atl1e_ethtool.o
igas CC [M] /home/tincho/Escritorio/compat/drivers/net/atl1e/atl1e_param.o
??? LD [M] /home/tincho/Escritorio/compat/drivers/net/atl1e/atl1e.o
LD /home/tincho/Escritorio/compat/drivers/net/atlx/built-in.o

CC [M] /home/tincho/Escritorio/compat/drivers/net/atlx/atl1.o
CC [M] /home/tincho/Escritorio/compat/drivers/net/atlx/atl2.o
LD /home/tincho/Escritorio/compat/drivers/net/usb/built-in.o
CC [M] /home/tincho/Escritorio/compat/drivers/net/usb/cdc_ether.o
CC [M] /home/tincho/Escritorio/compat/drivers/net/usb/rndis_host.o
CC [M] /home/tincho/Escritorio/compat/drivers/net/usb/usbnet.o
/home/tincho/Escritorio/compat/drivers/net/usb/usbnet.c: In function ‘usbnet_get_ethernet_addr’:
/home/tincho/Escritorio/compat/drivers/net/usb/usbnet.c:177: error: implicit declaration of function ‘hex_to_bin’
make[3]: *** [/home/tincho/Escritorio/compat/drivers/net/usb/usbnet.o] Error 1
make[2]: *** [/home/tincho/Escritorio/compat/drivers/net/usb] Error 2
make[1]: *** [_module_/home/tincho/Escritorio/compat] Error 2
make[1]: se sale del directorio `/usr/src/linux-headers-2.6.32-24-generic'
make: *** [modules] Error 2
tincho@lobo:~/Escritorio/compat$ no me digas ???
no: command not found
tincho@lobo:~/Escritorio/compat$ sudo mak
make make-ssl-cert
make-memtest86+-boot-floppy mako-render
make_method
tincho@lobo:~/Escritorio/compat$ sudo make install

Your old wireless subsystem modules were left intact:

kernel/net/mac80211/mac80211.ko
kernel/net/wireless/cfg80211.ko
kernel/net/wireless/lib80211.ko
kernel/drivers/net/wireless/adm8211.ko
kernel/drivers/net/wireless/ath/ar9170/ar9170usb.ko
kernel/drivers/net/wireless/at76c50x-usb.ko
kernel/drivers/net/wireless/ath/ath.ko
kernel/drivers/net/wireless/ath/ath5k/ath5k.ko
kernel/drivers/net/wireless/ath/ath9k/ath9k.ko
kernel/drivers/net/wireless/b43/b43.ko
kernel/drivers/net/wireless/b43legacy/b43legacy.ko
kernel/drivers/net/b44.ko
kernel/drivers/net/usb/cdc_ether.ko
kernel/drivers/misc/eeprom/eeprom_93cx6.ko
kernel/drivers/net/wireless/ipw2x00/ipw2100.ko
kernel/drivers/net/wireless/ipw2x00/ipw2200.ko
kernel/drivers/net/wireless/iwlwifi/iwl3945.ko
kernel/drivers/net/wireless/iwlwifi/iwlagn.ko
kernel/drivers/net/wireless/iwlwifi/iwlcore.ko
kernel/net/wireless/lib80211_crypt_ccmp.ko
kernel/net/wireless/lib80211_crypt_tkip.ko
kernel/net/wireless/lib80211_crypt_wep.ko
kernel/drivers/net/wireless/libertas/libertas.ko
kernel/drivers/net/wireless/libertas/libertas_cs.ko
kernel/drivers/net/wireless/libertas/libertas_sdio.ko
kernel/drivers/net/wireless/libertas/libertas_spi.ko
kernel/drivers/net/wireless/libertas_tf/libertas_tf.ko
kernel/drivers/net/wireless/libertas_tf/libertas_tf_usb.ko
kernel/drivers/net/wireless/ipw2x00/libipw.ko
kernel/drivers/net/wireless/mac80211_hwsim.ko
kernel/drivers/net/wireless/mwl8k.ko
kernel/drivers/net/wireless/p54/p54common.ko
kernel/drivers/net/wireless/p54/p54pci.ko
kernel/drivers/net/wireless/p54/p54spi.ko
kernel/drivers/net/wireless/p54/p54usb.ko
kernel/drivers/net/usb/rndis_host.ko
kernel/drivers/net/wireless/rndis_wlan.ko
kernel/drivers/net/wireless/rt2x00/rt2400pci.ko
kernel/drivers/net/wireless/rt2x00/rt2500pci.ko
kernel/drivers/net/wireless/rt2x00/rt2500usb.ko
kernel/drivers/net/wireless/rt2x00/rt2x00lib.ko
kernel/drivers/net/wireless/rt2x00/rt2x00pci.ko
kernel/drivers/net/wireless/rt2x00/rt2x00usb.ko
kernel/drivers/net/wireless/rt2x00/rt61pci.ko
kernel/drivers/net/wireless/rt2x00/rt73usb.ko
kernel/drivers/net/wireless/rtl818x/rtl8180.ko
kernel/drivers/net/wireless/rtl818x/rtl8187.ko
kernel/drivers/ssb/ssb.ko
kernel/drivers/net/wireless/libertas/usb8xxx.ko
kernel/drivers/net/usb/usbnet.ko
kernel/drivers/net/wireless/zd1211rw/zd1211rw.ko

Your old bluetooth subsystem modules were left intact:

kernel/net/bluetooth/sco.ko
kernel/net/bluetooth/l2cap.ko
kernel/net/bluetooth/hidp/hidp.ko
kernel/net/bluetooth/rfcomm/rfcomm.ko
kernel/net/bluetooth/bnep/bnep.ko
kernel/drivers/bluetooth/btusb.ko
kernel/net/bluetooth/bluetooth.ko

make -C /lib/modules/2.6.32-24-generic/build M=/home/tincho/Escritorio/compat modules
make[1]: se ingresa al directorio `/usr/src/linux-headers-2.6.32-24-generic'
CC [M] /home/tincho/Escritorio/compat/drivers/net/usb/usbnet.o
/home/tincho/Escritorio/compat/drivers/net/usb/usbnet.c: In function ‘usbnet_get_ethernet_addr’:
/home/tincho/Escritorio/compat/drivers/net/usb/usbnet.c:177: error: implicit declaration of function ‘hex_to_bin’
make[3]: *** [/home/tincho/Escritorio/compat/drivers/net/usb/usbnet.o] Error 1
make[2]: *** [/home/tincho/Escritorio/compat/drivers/net/usb] Error 2
make[1]: *** [_module_/home/tincho/Escritorio/compat] Error 2
make[1]: se sale del directorio `/usr/src/linux-headers-2.6.32-24-generic'
make: *** [modules] Error 2
tincho@lobo:~/Escritorio/compat$ sudo make unload
Stoping bluetooth service..
* bluetooth is not running
Unloading lib80211...
FATAL: Module lib80211 is in use.
tincho@lobo:~/Escritorio/compat$ sudo make load ath9k_htc
Stoping bluetooth service..
* bluetooth is not running
Unloading lib80211...
FATAL: Module lib80211 is in use.
Loading ipw2100...
Loading ipw2200...
Loading libertas_cs...
Loading usb8xxx...
Loading p54pci...
Loading p54usb...
Loading adm8211...
Loading zd1211rw...
Loading rtl8180...
Loading rtl8187...
Loading p54pci...
Loading p54usb...
Loading iwl3945...
Loading iwlagn...
Loading ath...
Loading ar9170usb...
Loading rtl8180...
Loading rtl8187...
Loading rt2400pci...
Loading rt2500pci...
Loading rt61pci...
Loading rt2500usb...
Loading rt73usb...
Loading rndis_wlan...
Loading at76_usb...
FATAL: Module at76_usb not found.
Loading mwl8k...
Loading mac80211_hwsim...
Loading at76c50x_usb...
Loading bluetooth...
Loading btusb...
Loading l2cap...
Loading sco...
Loading hidp...
Loading rfcomm...
Loading bnep...
Module ath_pci not detected -- this is fine
ath5k loaded successfully
ath9k loaded successfully
Module bcm43xx not detected -- this is fine
Disabling wl ...WARNING: -e needs -E or -F [OK] Module disabled:
updates/dkms/wl.ko
b43 loaded successfully
b43legacy loaded successfully
Starting bluetooth service..
* bluetooth is not running
make: *** [load] Error 3
tincho@lobo:~/Escritorio/compat$ ^C
tincho@lobo:~/Escritorio/compat$

==============================0

Muchas gracias

+1
0
-1

-----------------------------
Martin Pedros
webmaster@martinpedros.com.ar
http://www.martinpedros.com.ar

Ubuntu 10.04

Imagen de Cristobal_17
+1
0
-1

A mi tambien me marco el error 3 al final de la carga del driver pero funciono y en lo de sudo make creo que quizas te faltan unos paquetes necesarios para compilar mira esto http://www.ubuntu-es.org/index.php?q=node/47929 creo que esos paquetes ya los instale hace algun tiempo y en cuanto los .o creo que son los que se generen despues del make

Tampoco no es que sepa de linux siguo los tutoriales y busco la solucion a mis problemas es lo mas que puedo ayudarte

+1
0
-1
Imagen de martinpedros
+1
0
-1

Cristobal, yo soy igual que vos con Linux, soy puro tutorial, pero se ve que no soy tan perseverante. Lo pruebo y te aviso como me fue. Desde ya mil gracias por tu dedicación y tu tiempo. Saludos !!!

+1
0
-1

-----------------------------
Martin Pedros
webmaster@martinpedros.com.ar
http://www.martinpedros.com.ar

Ubuntu 10.04

Imagen de Cristobal_17
+1
0
-1

Espero que lo consiguas al menos sabes que puede funcionar

+1
0
-1
Imagen de martinpedros
+1
0
-1

En el foro Ubuntu Geek hay un driver ath9k_htc que se instala en modo grafico, es buenisimo y el TP-Link TL-WN722N me funciona perfecto. Se baja de aca: http://ubuntuone.com/p/EMv/ . Se instala con un doble click, despues en Aplicaciones - Herramientas de Sistema - ath9k_htc-install se instala automatico ... y listo !!!

+1
0
-1

-----------------------------
Martin Pedros
webmaster@martinpedros.com.ar
http://www.martinpedros.com.ar

Ubuntu 10.04

Imagen de shaak
+1
0
-1

Hola, martinpedros podrias volver a poner el link del driver ath9k_htc en modo grafico es que el link no funciona.

+1
0
-1
Imagen de Cristobal_17
+1
0
-1

Pues en ubuntu 10.10 ya viene con la distribucion el driver y creo que el instalador esta aqui tambien http://sourceforge.net/projects/ath9k-htc/

+1
0
-1
Imagen de irvingv
+1
0
-1

Hola Cristobal_17. Tengo ubuntu 10.04 y el adaptador wireles en cuestion. Primero intente instalar los controladores de compat-wireless-2011-03-31. Seguí las instruciones pero no me funcionó así que descargue el archivo *.deb desde el link que proporcionaste ( http://sourceforge.net/projects/ath9k-ht ) y lo ejecuté en una terminal con sudo dpkg -i paquete.deb. MARAVILLA!!! funciono a la primera.

Gracias por el link.

Saludos

+1
0
-1

Saludos

Imagen de Cristobal_17
+1
0
-1

Pues en ubuntu 10.10 ya viene con la distribucion el driver y creo que el instalador esta aqui tambien http://sourceforge.net/projects/ath9k-htc/
siento el doble post la pagina no cargaba y acabaria dandole dos veces

+1
0
-1
Imagen de jcars95
+1
0
-1

hola, a mi tambien me sale ese maldito error, luego pongo el iwconfig y detecta pero en modo off, asi q reinicio d nvo un iwconfig y naaa!!!!!!
voy a probar tu solucion y despues t comento

a ver si ayudan con el primer metodo, el de los errores......sera necesario tener bluetooh???

+1
0
-1
Imagen de jcars95
+1
0
-1

chesuc!!!! no puedo abrir el archivo xq dice q podria estar danado o o tiene permisos.....ayuda!!!

+1
0
-1
Imagen de Cristobal_17
+1
0
-1

A que archivo te refieres?

+1
0
-1
Imagen de enred2
+1
0
-1

hasta hace poko keria probar un sistema operativo diferente a windows uno bien liviano y encontré puppy linux, por lo cual lo instalé en una memoria usb ya ke el netbook ke me conseguí tenia malo el disco duro, empecé a intrusear y me gustó , uno de los problemas que me causó es ke no reconoció ningun driver de la wireless del netbook, entonces compré un adaptador usb inalambrico modelo TL-WN822N este es el ke kiero okupar porke debo devolver algun dia el netbook , buscando solucion solo pude obtener el driver para instalar en este sistema operativo, pero no me coge la señal inalambrica de la casa, esta es wpa2-psk , seguí todos los tutoriales en youtube y en algunas paginas , pero aun asi no pude , lo ke imaginé es ke linux kizas aun no trabaja kon wpa2-psk o yo no se como se configura , recuerda ke esto para mi es nuevo y ojala ke me pudieras ayudar de una forma muy practica ...de antemano muchas gracias PD: en puppy linux me da la opciones en wep y en wpa

+1
0
-1